com.microfocus.awm.meta.interfaces

## Interface RApplicationProperty

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    RApplicationPropertyImpl

      public interface RApplicationProperty
      extends AWMObject

  The "Application Options has Property" relationship is used to define properties which will be available within any context of the application.

  The following features are supported:

  - `Target ID`
  - `Seq No`
  - `Constant`
  - `Mandatory`
  See Also:
    `TaurusPackage.getRApplicationProperty()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSeqNo()` Returns the value of the 'Seq No' attribute.
    `Property` | `getTargetID()` Returns the value of the 'Target ID' reference.
    `boolean` | `isConstant()` Returns the value of the 'Constant' attribute.
    `boolean` | `isMandatory()` Returns the value of the 'Mandatory' attribute.
    `boolean` | `isSetSeqNo()` Returns whether the value of the '`Seq No`' attribute is set.
    `void` | `setConstant(boolean value)` Sets the value of the '`Constant`' attribute.
    `void` | `setMandatory(boolean value)` Sets the value of the '`Mandatory`' attribute.
    `void` | `setSeqNo(int value)` Sets the value of the '`Seq No`' attribute.
    `void` | `setTargetID(Property value)` Sets the value of the '`Target ID`' reference.
    `void` | `unsetSeqNo()` Unsets the value of the '`Seq No`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTargetID

          Property getTargetID()

      Returns the value of the 'Target ID' reference. Reference to the property.
      Returns:
        the value of the 'Target ID' reference.
      See Also:
        `setTargetID(Property)`, `TaurusPackage.getRApplicationProperty_TargetID()`

    - #### setTargetID

          void setTargetID(Property value)

      Sets the value of the '`Target ID`' reference.
      Parameters:
        `value` - the new value of the 'Target ID' reference.
      See Also:
        `getTargetID()`

    - #### getSeqNo

          int getSeqNo()

      Returns the value of the 'Seq No' attribute.
      Position number of the property in the Properties view. Sequence numbers that appear twice result in a random arrangement of the properties in the Property view.
      Returns:
        the value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `setSeqNo(int)`, `TaurusPackage.getRApplicationProperty_SeqNo()`

    - #### setSeqNo

          void setSeqNo(int value)

      Sets the value of the '`Seq No`' attribute.
      Parameters:
        `value` - the new value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `getSeqNo()`

    - #### unsetSeqNo

          void unsetSeqNo()

      Unsets the value of the '`Seq No`' attribute.
      See Also:
        `isSetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### isSetSeqNo

          boolean isSetSeqNo()

      Returns whether the value of the '`Seq No`' attribute is set.
      Returns:
        whether the value of the 'Seq No' attribute is set.
      See Also:
        `unsetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### isConstant

          boolean isConstant()

      Returns the value of the 'Constant' attribute. The default value is `"true"`.
      Whether the application property is constant or can be updated through resource processing "Update".
      Returns:
        the value of the 'Constant' attribute.
      See Also:
        `setConstant(boolean)`, `TaurusPackage.getRApplicationProperty_Constant()`

    - #### setConstant

          void setConstant(boolean value)

      Sets the value of the '`Constant`' attribute.
      Parameters:
        `value` - the new value of the 'Constant' attribute.
      See Also:
        `isConstant()`

    - #### isMandatory

          boolean isMandatory()

      Returns the value of the 'Mandatory' attribute.
      Whether the application property is mandatory for the execution of the model. A value for a mandatory application properties has to be defined.
      Returns:
        the value of the 'Mandatory' attribute.
      See Also:
        `setMandatory(boolean)`, `TaurusPackage.getRApplicationProperty_Mandatory()`

    - #### setMandatory

          void setMandatory(boolean value)

      Sets the value of the '`Mandatory`' attribute.
      Parameters:
        `value` - the new value of the 'Mandatory' attribute.
      See Also:
        `isMandatory()`

Copyright © 2015 Micro Focus GmbH. All rights reserved.